<?xml version="1.0" encoding="UTF-8"?>
<cvrfdoc xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:cpe="http://cpe.mitre.org/language/2.0" xmlns:cvrf="http://docs.oasis-open.org/csaf/ns/csaf-cvrf/v1.2/cvrf" xmlns:cvrf-common="http://docs.oasis-open.org/csaf/ns/csaf-cvrf/v1.2/common" xmlns:cvssv2="http://scap.nist.gov/schema/cvss-v2/1.0" xmlns:cvssv3="https://www.first.org/cvss/cvss-v3.0.xsd" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:ns0="http://purl.org/dc/elements/1.1/" xmlns:prod="http://docs.oasis-open.org/csaf/ns/csaf-cvrf/v1.2/prod" xmlns:scap-core="http://scap.nist.gov/schema/scap-core/1.0" xmlns:sch="http://purl.oclc.org/dsdl/schematron" xmlns:vuln="http://docs.oasis-open.org/csaf/ns/csaf-cvrf/v1.2/vuln" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://docs.oasis-open.org/csaf/ns/csaf-cvrf/v1.2/cvrf">
  <DocumentTitle xml:lang="en">Security update for rubygem-bundler</DocumentTitle>
  <DocumentType>SUSE Patch</DocumentType>
  <DocumentPublisher Type="Vendor">
    <ContactDetails>security@suse.de</ContactDetails>
    <IssuingAuthority>SUSE Security Team</IssuingAuthority>
  </DocumentPublisher>
  <DocumentTracking>
    <Identification>
      <ID>SUSE-SU-2020:1582-2</ID>
    </Identification>
    <Status>Final</Status>
    <Version>1</Version>
    <RevisionHistory>
      <Revision>
        <Number>1</Number>
        <Date>2020-07-15T08:57:32Z</Date>
        <Description>current</Description>
      </Revision>
    </RevisionHistory>
    <InitialReleaseDate>2020-07-15T08:57:32Z</InitialReleaseDate>
    <CurrentReleaseDate>2020-07-15T08:57:32Z</CurrentReleaseDate>
    <Generator>
      <Engine>cve-database/bin/generate-cvrf.pl</Engine>
      <Date>2017-02-24T01:00:00Z</Date>
    </Generator>
  </DocumentTracking>
  <DocumentNotes>
    <Note Title="Topic" Type="Summary" Ordinal="1" xml:lang="en">Security update for rubygem-bundler</Note>
    <Note Title="Details" Type="General" Ordinal="2" xml:lang="en">This update for rubygem-bundler fixes the following issue:

- CVE-2019-3881: Fixed insecure permissions on a directory in /tmp/ that allowed malicious code execution (bsc#1143436).
</Note>
    <Note Title="Terms of Use" Type="Legal Disclaimer" Ordinal="3" xml:lang="en">The CVRF data is provided by SUSE under the Creative Commons License 4.0 with Attribution (CC-BY-4.0).</Note>
    <Note Title="Patchnames" Type="Details" Ordinal="4" xml:lang="en">Container bci/ruby:latest-2020-1582,Container suse/rmt-server:latest-2020-1582,Image SLES15-SAP-Azure-2020-1582,Image SLES15-SAP-Azure-BYOS-2020-1582,Image SLES15-SAP-Azure-LI-BYOS-Production-2020-1582,Image SLES15-SAP-Azure-VLI-BYOS-Production-2020-1582,Image SLES15-SAP-EC2-HVM-2020-1582,Image SLES15-SAP-EC2-HVM-BYOS-2020-1582,Image SLES15-SAP-GCE-2020-1582,Image SLES15-SAP-GCE-BYOS-2020-1582,Image SLES15-SAP-OCI-BYOS-2020-1582,Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM-2020-1582,Image SLES15-SP1-CAP-Deployment-BYOS-GCE-2020-1582,Image SLES15-SP1-SAP-Azure-2020-1582,Image SLES15-SP1-SAP-Azure-BYOS-2020-1582,Image SLES15-SP1-SAP-Azure-LI-BYOS-Production-2020-1582,Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production-2020-1582,Image SLES15-SP1-SAP-EC2-HVM-2020-1582,Image SLES15-SP1-SAP-EC2-HVM-BYOS-2020-1582,Image SLES15-SP1-SAP-GCE-2020-1582,Image SLES15-SP1-SAP-GCE-BYOS-2020-1582,Image SLES15-SP1-SAP-OCI-BYOS-2020-1582,Image SLES15-SP2-CAP-Deployment-BYOS-Azure-2020-1582,Image SLES15-SP2-SAP-Azure-2020-1582,Image SLES15-SP2-SAP-Azure-LI-BYOS-Production-2020-1582,Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production-2020-1582,Image SLES15-SP2-SAP-BYOS-Azure-2020-1582,Image SLES15-SP2-SAP-BYOS-EC2-HVM-2020-1582,Image SLES15-SP2-SAP-BYOS-GCE-2020-1582,Image SLES15-SP2-SAP-EC2-HVM-2020-1582,Image SLES15-SP2-SAP-GCE-2020-1582,Image SLES15-SP3-SAP-Azure-LI-BYOS-Production-2020-1582,Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production-2020-1582,Image SLES15-SP3-SAP-BYOS-Azure-2020-1582,Image SLES15-SP3-SAP-BYOS-EC2-HVM-2020-1582,Image SLES15-SP3-SAP-BYOS-GCE-2020-1582,Image SLES15-SP4-SAP-Azure-LI-BYOS-2020-1582,Image SLES15-SP4-SAP-Azure-LI-BYOS-Production-2020-1582,Image SLES15-SP4-SAP-Azure-VLI-BYOS-2020-1582,Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production-2020-1582,Image SLES15-SP4-SAP-BYOS-2020-1582,Image SLES15-SP4-SAP-BYOS-Azure-2020-1582,Image SLES15-SP4-SAP-BYOS-EC2-2020-1582,Image SLES15-SP4-SAP-BYOS-GCE-2020-1582,Image SLES15-SP4-SAP-Hardened-2020-1582,Image SLES15-SP4-SAP-Hardened-Azure-2020-1582,Image SLES15-SP4-SAP-Hardened-BYOS-2020-1582,Image SLES15-SP4-SAP-Hardened-BYOS-Azure-2020-1582,Image SLES15-SP4-SAP-Hardened-BYOS-EC2-2020-1582,Image SLES15-SP4-SAP-Hardened-BYOS-GCE-2020-1582,Image SLES15-SP4-SAP-Hardened-EC2-2020-1582,Image SLES15-SP4-SAP-Hardened-GCE-2020-1582,Image SLES15-SP5-SAP-Azure-LI-BYOS-2020-1582,Image SLES15-SP5-SAP-Azure-LI-BYOS-Production-2020-1582,Image SLES15-SP5-SAP-Azure-VLI-BYOS-2020-1582,Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production-2020-1582,Image SLES15-SP5-SAP-BYOS-Azure-2020-1582,Image SLES15-SP5-SAP-BYOS-EC2-2020-1582,Image SLES15-SP5-SAP-BYOS-GCE-2020-1582,Image SLES15-SP5-SAP-Hardened-Azure-2020-1582,Image SLES15-SP5-SAP-Hardened-BYOS-Azure-2020-1582,Image SLES15-SP5-SAP-Hardened-BYOS-EC2-2020-1582,Image SLES15-SP5-SAP-Hardened-BYOS-GCE-2020-1582,Image SLES15-SP5-SAP-Hardened-EC2-2020-1582,Image SLES15-SP5-SAP-Hardened-GCE-2020-1582,SUSE-2020-1582,SUSE-SLE-Module-Basesystem-15-SP2-2020-1582</Note>
  </DocumentNotes>
  <DocumentDistribution xml:lang="en">Copyright SUSE LLC under the Creative Commons License 4.0 with Attribution (CC-BY-4.0)</DocumentDistribution>
  <DocumentReferences>
    <Reference Type="Self">
      <URL>https://www.suse.com/support/update/announcement/2020/suse-su-20201582-2/</URL>
      <Description>Link for SUSE-SU-2020:1582-2</Description>
    </Reference>
    <Reference Type="Self">
      <URL>https://lists.suse.com/pipermail/sle-security-updates/2020-July/007128.html</URL>
      <Description>E-Mail link for SUSE-SU-2020:1582-2</Description>
    </Reference>
    <Reference Type="Self">
      <URL>https://www.suse.com/support/security/rating/</URL>
      <Description>SUSE Security Ratings</Description>
    </Reference>
    <Reference Type="Self">
      <URL>https://bugzilla.suse.com/1143436</URL>
      <Description>SUSE Bug 1143436</Description>
    </Reference>
    <Reference Type="Self">
      <URL>https://www.suse.com/security/cve/CVE-2019-3881/</URL>
      <Description>SUSE CVE CVE-2019-3881 page</Description>
    </Reference>
  </DocumentReferences>
  <ProductTree xmlns="http://docs.oasis-open.org/csaf/ns/csaf-cvrf/v1.2/prod">
    <Branch Type="Product Family" Name="Container bci/ruby:latest">
      <Branch Type="Product Name" Name="Container bci/ruby:latest">
        <FullProductName ProductID="Container bci/ruby:latest">Container bci/ruby:latest</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Container suse/rmt-server:latest">
      <Branch Type="Product Name" Name="Container suse/rmt-server:latest">
        <FullProductName ProductID="Container suse/rmt-server:latest">Container suse/rmt-server:latest</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SAP-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SAP-Azure">
        <FullProductName ProductID="Image SLES15-SAP-Azure">Image SLES15-SAP-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SAP-Azure-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SAP-Azure-BYOS">
        <FullProductName ProductID="Image SLES15-SAP-Azure-BYOS">Image SLES15-SAP-Azure-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SAP-Azure-LI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SAP-Azure-LI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SAP-Azure-LI-BYOS-Production">Image SLES15-SAP-Azure-LI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SAP-Azure-VLI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SAP-Azure-VLI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SAP-Azure-VLI-BYOS-Production">Image SLES15-SAP-Azure-VLI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SAP-EC2-HVM">
      <Branch Type="Product Name" Name="Image SLES15-SAP-EC2-HVM">
        <FullProductName ProductID="Image SLES15-SAP-EC2-HVM">Image SLES15-SAP-EC2-HVM</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SAP-EC2-HVM-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SAP-EC2-HVM-BYOS">
        <FullProductName ProductID="Image SLES15-SAP-EC2-HVM-BYOS">Image SLES15-SAP-EC2-HVM-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SAP-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SAP-GCE">
        <FullProductName ProductID="Image SLES15-SAP-GCE">Image SLES15-SAP-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SAP-GCE-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SAP-GCE-BYOS">
        <FullProductName ProductID="Image SLES15-SAP-GCE-BYOS">Image SLES15-SAP-GCE-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SAP-OCI-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SAP-OCI-BYOS">
        <FullProductName ProductID="Image SLES15-SAP-OCI-BYOS">Image SLES15-SAP-OCI-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM">
      <Branch Type="Product Name" Name="Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM">
        <FullProductName ProductID="Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM">Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-CAP-Deployment-BYOS-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP1-CAP-Deployment-BYOS-GCE">
        <FullProductName ProductID="Image SLES15-SP1-CAP-Deployment-BYOS-GCE">Image SLES15-SP1-CAP-Deployment-BYOS-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-SAP-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP1-SAP-Azure">
        <FullProductName ProductID="Image SLES15-SP1-SAP-Azure">Image SLES15-SP1-SAP-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-SAP-Azure-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP1-SAP-Azure-BYOS">
        <FullProductName ProductID="Image SLES15-SP1-SAP-Azure-BYOS">Image SLES15-SP1-SAP-Azure-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-SAP-Azure-LI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP1-SAP-Azure-LI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP1-SAP-Azure-LI-BYOS-Production">Image SLES15-SP1-SAP-Azure-LI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production">Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-SAP-EC2-HVM">
      <Branch Type="Product Name" Name="Image SLES15-SP1-SAP-EC2-HVM">
        <FullProductName ProductID="Image SLES15-SP1-SAP-EC2-HVM">Image SLES15-SP1-SAP-EC2-HVM</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-SAP-EC2-HVM-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP1-SAP-EC2-HVM-BYOS">
        <FullProductName ProductID="Image SLES15-SP1-SAP-EC2-HVM-BYOS">Image SLES15-SP1-SAP-EC2-HVM-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-SAP-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP1-SAP-GCE">
        <FullProductName ProductID="Image SLES15-SP1-SAP-GCE">Image SLES15-SP1-SAP-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-SAP-GCE-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP1-SAP-GCE-BYOS">
        <FullProductName ProductID="Image SLES15-SP1-SAP-GCE-BYOS">Image SLES15-SP1-SAP-GCE-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP1-SAP-OCI-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP1-SAP-OCI-BYOS">
        <FullProductName ProductID="Image SLES15-SP1-SAP-OCI-BYOS">Image SLES15-SP1-SAP-OCI-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP2-CAP-Deployment-BYOS-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP2-CAP-Deployment-BYOS-Azure">
        <FullProductName ProductID="Image SLES15-SP2-CAP-Deployment-BYOS-Azure">Image SLES15-SP2-CAP-Deployment-BYOS-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP2-SAP-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP2-SAP-Azure">
        <FullProductName ProductID="Image SLES15-SP2-SAP-Azure">Image SLES15-SP2-SAP-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP2-SAP-Azure-LI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP2-SAP-Azure-LI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP2-SAP-Azure-LI-BYOS-Production">Image SLES15-SP2-SAP-Azure-LI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production">Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP2-SAP-BYOS-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP2-SAP-BYOS-Azure">
        <FullProductName ProductID="Image SLES15-SP2-SAP-BYOS-Azure">Image SLES15-SP2-SAP-BYOS-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP2-SAP-BYOS-EC2-HVM">
      <Branch Type="Product Name" Name="Image SLES15-SP2-SAP-BYOS-EC2-HVM">
        <FullProductName ProductID="Image SLES15-SP2-SAP-BYOS-EC2-HVM">Image SLES15-SP2-SAP-BYOS-EC2-HVM</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP2-SAP-BYOS-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP2-SAP-BYOS-GCE">
        <FullProductName ProductID="Image SLES15-SP2-SAP-BYOS-GCE">Image SLES15-SP2-SAP-BYOS-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP2-SAP-EC2-HVM">
      <Branch Type="Product Name" Name="Image SLES15-SP2-SAP-EC2-HVM">
        <FullProductName ProductID="Image SLES15-SP2-SAP-EC2-HVM">Image SLES15-SP2-SAP-EC2-HVM</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP2-SAP-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP2-SAP-GCE">
        <FullProductName ProductID="Image SLES15-SP2-SAP-GCE">Image SLES15-SP2-SAP-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP3-SAP-Azure-LI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP3-SAP-Azure-LI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP3-SAP-Azure-LI-BYOS-Production">Image SLES15-SP3-SAP-Azure-LI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production">Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP3-SAP-BYOS-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP3-SAP-BYOS-Azure">
        <FullProductName ProductID="Image SLES15-SP3-SAP-BYOS-Azure">Image SLES15-SP3-SAP-BYOS-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP3-SAP-BYOS-EC2-HVM">
      <Branch Type="Product Name" Name="Image SLES15-SP3-SAP-BYOS-EC2-HVM">
        <FullProductName ProductID="Image SLES15-SP3-SAP-BYOS-EC2-HVM">Image SLES15-SP3-SAP-BYOS-EC2-HVM</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP3-SAP-BYOS-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP3-SAP-BYOS-GCE">
        <FullProductName ProductID="Image SLES15-SP3-SAP-BYOS-GCE">Image SLES15-SP3-SAP-BYOS-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Azure-LI-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Azure-LI-BYOS">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Azure-LI-BYOS">Image SLES15-SP4-SAP-Azure-LI-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Azure-LI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Azure-LI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Azure-LI-BYOS-Production">Image SLES15-SP4-SAP-Azure-LI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Azure-VLI-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Azure-VLI-BYOS">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Azure-VLI-BYOS">Image SLES15-SP4-SAP-Azure-VLI-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production">Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-BYOS">
        <FullProductName ProductID="Image SLES15-SP4-SAP-BYOS">Image SLES15-SP4-SAP-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-BYOS-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-BYOS-Azure">
        <FullProductName ProductID="Image SLES15-SP4-SAP-BYOS-Azure">Image SLES15-SP4-SAP-BYOS-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-BYOS-EC2">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-BYOS-EC2">
        <FullProductName ProductID="Image SLES15-SP4-SAP-BYOS-EC2">Image SLES15-SP4-SAP-BYOS-EC2</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-BYOS-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-BYOS-GCE">
        <FullProductName ProductID="Image SLES15-SP4-SAP-BYOS-GCE">Image SLES15-SP4-SAP-BYOS-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Hardened">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Hardened">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened">Image SLES15-SP4-SAP-Hardened</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Hardened-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Hardened-Azure">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-Azure">Image SLES15-SP4-SAP-Hardened-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Hardened-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Hardened-BYOS">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-BYOS">Image SLES15-SP4-SAP-Hardened-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Hardened-BYOS-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Hardened-BYOS-Azure">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-BYOS-Azure">Image SLES15-SP4-SAP-Hardened-BYOS-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Hardened-BYOS-EC2">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Hardened-BYOS-EC2">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-BYOS-EC2">Image SLES15-SP4-SAP-Hardened-BYOS-EC2</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Hardened-BYOS-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Hardened-BYOS-GCE">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-BYOS-GCE">Image SLES15-SP4-SAP-Hardened-BYOS-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Hardened-EC2">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Hardened-EC2">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-EC2">Image SLES15-SP4-SAP-Hardened-EC2</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP4-SAP-Hardened-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP4-SAP-Hardened-GCE">
        <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-GCE">Image SLES15-SP4-SAP-Hardened-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Azure-LI-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Azure-LI-BYOS">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Azure-LI-BYOS">Image SLES15-SP5-SAP-Azure-LI-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Azure-LI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Azure-LI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Azure-LI-BYOS-Production">Image SLES15-SP5-SAP-Azure-LI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Azure-VLI-BYOS">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Azure-VLI-BYOS">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Azure-VLI-BYOS">Image SLES15-SP5-SAP-Azure-VLI-BYOS</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production">Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-BYOS-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-BYOS-Azure">
        <FullProductName ProductID="Image SLES15-SP5-SAP-BYOS-Azure">Image SLES15-SP5-SAP-BYOS-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-BYOS-EC2">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-BYOS-EC2">
        <FullProductName ProductID="Image SLES15-SP5-SAP-BYOS-EC2">Image SLES15-SP5-SAP-BYOS-EC2</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-BYOS-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-BYOS-GCE">
        <FullProductName ProductID="Image SLES15-SP5-SAP-BYOS-GCE">Image SLES15-SP5-SAP-BYOS-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Hardened-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Hardened-Azure">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-Azure">Image SLES15-SP5-SAP-Hardened-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Hardened-BYOS-Azure">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Hardened-BYOS-Azure">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-BYOS-Azure">Image SLES15-SP5-SAP-Hardened-BYOS-Azure</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Hardened-BYOS-EC2">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Hardened-BYOS-EC2">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-BYOS-EC2">Image SLES15-SP5-SAP-Hardened-BYOS-EC2</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Hardened-BYOS-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Hardened-BYOS-GCE">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-BYOS-GCE">Image SLES15-SP5-SAP-Hardened-BYOS-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Hardened-EC2">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Hardened-EC2">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-EC2">Image SLES15-SP5-SAP-Hardened-EC2</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="Image SLES15-SP5-SAP-Hardened-GCE">
      <Branch Type="Product Name" Name="Image SLES15-SP5-SAP-Hardened-GCE">
        <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-GCE">Image SLES15-SP5-SAP-Hardened-GCE</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Family" Name="SUSE Linux Enterprise Module for Basesystem 15 SP2">
      <Branch Type="Product Name" Name="SUSE Linux Enterprise Module for Basesystem 15 SP2">
        <FullProductName ProductID="SUSE Linux Enterprise Module for Basesystem 15 SP2" CPE="cpe:/o:suse:sle-module-basesystem:15:sp2">SUSE Linux Enterprise Module for Basesystem 15 SP2</FullProductName>
      </Branch>
    </Branch>
    <Branch Type="Product Version" Name="ruby2.5-rubygem-bundler-1.16.1-3.3.1">
      <FullProductName ProductID="ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1</FullProductName>
    </Branch>
    <Branch Type="Product Version" Name="ruby2.5-rubygem-bundler-doc-1.16.1-3.3.1">
      <FullProductName ProductID="ruby2.5-rubygem-bundler-doc-1.16.1-3.3.1">ruby2.5-rubygem-bundler-doc-1.16.1-3.3.1</FullProductName>
    </Branch>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Container bci/ruby:latest">
      <FullProductName ProductID="Container bci/ruby:latest:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Container bci/ruby:latest</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Container suse/rmt-server:latest">
      <FullProductName ProductID="Container suse/rmt-server:latest:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Container suse/rmt-server:latest</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SAP-Azure">
      <FullProductName ProductID="Image SLES15-SAP-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SAP-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SAP-Azure-BYOS">
      <FullProductName ProductID="Image SLES15-SAP-Azure-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SAP-Azure-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SAP-Azure-LI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SAP-Azure-LI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SAP-Azure-VLI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SAP-Azure-VLI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SAP-EC2-HVM">
      <FullProductName ProductID="Image SLES15-SAP-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SAP-EC2-HVM</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SAP-EC2-HVM-BYOS">
      <FullProductName ProductID="Image SLES15-SAP-EC2-HVM-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SAP-EC2-HVM-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SAP-GCE">
      <FullProductName ProductID="Image SLES15-SAP-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SAP-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SAP-GCE-BYOS">
      <FullProductName ProductID="Image SLES15-SAP-GCE-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SAP-GCE-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SAP-OCI-BYOS">
      <FullProductName ProductID="Image SLES15-SAP-OCI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SAP-OCI-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM">
      <FullProductName ProductID="Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-CAP-Deployment-BYOS-GCE">
      <FullProductName ProductID="Image SLES15-SP1-CAP-Deployment-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-CAP-Deployment-BYOS-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-SAP-Azure">
      <FullProductName ProductID="Image SLES15-SP1-SAP-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-SAP-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-SAP-Azure-BYOS">
      <FullProductName ProductID="Image SLES15-SP1-SAP-Azure-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-SAP-Azure-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-SAP-Azure-LI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP1-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-SAP-Azure-LI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-SAP-EC2-HVM">
      <FullProductName ProductID="Image SLES15-SP1-SAP-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-SAP-EC2-HVM</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-SAP-EC2-HVM-BYOS">
      <FullProductName ProductID="Image SLES15-SP1-SAP-EC2-HVM-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-SAP-EC2-HVM-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-SAP-GCE">
      <FullProductName ProductID="Image SLES15-SP1-SAP-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-SAP-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-SAP-GCE-BYOS">
      <FullProductName ProductID="Image SLES15-SP1-SAP-GCE-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-SAP-GCE-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP1-SAP-OCI-BYOS">
      <FullProductName ProductID="Image SLES15-SP1-SAP-OCI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP1-SAP-OCI-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP2-CAP-Deployment-BYOS-Azure">
      <FullProductName ProductID="Image SLES15-SP2-CAP-Deployment-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP2-CAP-Deployment-BYOS-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP2-SAP-Azure">
      <FullProductName ProductID="Image SLES15-SP2-SAP-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP2-SAP-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP2-SAP-Azure-LI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP2-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP2-SAP-Azure-LI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP2-SAP-BYOS-Azure">
      <FullProductName ProductID="Image SLES15-SP2-SAP-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP2-SAP-BYOS-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP2-SAP-BYOS-EC2-HVM">
      <FullProductName ProductID="Image SLES15-SP2-SAP-BYOS-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP2-SAP-BYOS-EC2-HVM</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP2-SAP-BYOS-GCE">
      <FullProductName ProductID="Image SLES15-SP2-SAP-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP2-SAP-BYOS-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP2-SAP-EC2-HVM">
      <FullProductName ProductID="Image SLES15-SP2-SAP-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP2-SAP-EC2-HVM</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP2-SAP-GCE">
      <FullProductName ProductID="Image SLES15-SP2-SAP-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP2-SAP-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP3-SAP-Azure-LI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP3-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP3-SAP-Azure-LI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP3-SAP-BYOS-Azure">
      <FullProductName ProductID="Image SLES15-SP3-SAP-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP3-SAP-BYOS-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP3-SAP-BYOS-EC2-HVM">
      <FullProductName ProductID="Image SLES15-SP3-SAP-BYOS-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP3-SAP-BYOS-EC2-HVM</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP3-SAP-BYOS-GCE">
      <FullProductName ProductID="Image SLES15-SP3-SAP-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP3-SAP-BYOS-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Azure-LI-BYOS">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Azure-LI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Azure-LI-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Azure-LI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Azure-LI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Azure-VLI-BYOS">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Azure-VLI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Azure-VLI-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-BYOS">
      <FullProductName ProductID="Image SLES15-SP4-SAP-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-BYOS-Azure">
      <FullProductName ProductID="Image SLES15-SP4-SAP-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-BYOS-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-BYOS-EC2">
      <FullProductName ProductID="Image SLES15-SP4-SAP-BYOS-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-BYOS-EC2</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-BYOS-GCE">
      <FullProductName ProductID="Image SLES15-SP4-SAP-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-BYOS-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Hardened">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Hardened</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Hardened-Azure">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Hardened-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Hardened-BYOS">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Hardened-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Hardened-BYOS-Azure">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Hardened-BYOS-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Hardened-BYOS-EC2">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-BYOS-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Hardened-BYOS-EC2</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Hardened-BYOS-GCE">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Hardened-BYOS-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Hardened-EC2">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Hardened-EC2</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP4-SAP-Hardened-GCE">
      <FullProductName ProductID="Image SLES15-SP4-SAP-Hardened-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP4-SAP-Hardened-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Azure-LI-BYOS">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Azure-LI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Azure-LI-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Azure-LI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Azure-LI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Azure-VLI-BYOS">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Azure-VLI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Azure-VLI-BYOS</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-BYOS-Azure">
      <FullProductName ProductID="Image SLES15-SP5-SAP-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-BYOS-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-BYOS-EC2">
      <FullProductName ProductID="Image SLES15-SP5-SAP-BYOS-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-BYOS-EC2</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-BYOS-GCE">
      <FullProductName ProductID="Image SLES15-SP5-SAP-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-BYOS-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Hardened-Azure">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Hardened-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Hardened-BYOS-Azure">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Hardened-BYOS-Azure</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Hardened-BYOS-EC2">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-BYOS-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Hardened-BYOS-EC2</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Hardened-BYOS-GCE">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Hardened-BYOS-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Hardened-EC2">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Hardened-EC2</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="Image SLES15-SP5-SAP-Hardened-GCE">
      <FullProductName ProductID="Image SLES15-SP5-SAP-Hardened-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of Image SLES15-SP5-SAP-Hardened-GCE</FullProductName>
    </Relationship>
    <Relationship ProductReference="ruby2.5-rubygem-bundler-1.16.1-3.3.1" RelationType="Default Component Of" RelatesToProductReference="SUSE Linux Enterprise Module for Basesystem 15 SP2">
      <FullProductName ProductID="SUSE Linux Enterprise Module for Basesystem 15 SP2:ruby2.5-rubygem-bundler-1.16.1-3.3.1">ruby2.5-rubygem-bundler-1.16.1-3.3.1 as a component of SUSE Linux Enterprise Module for Basesystem 15 SP2</FullProductName>
    </Relationship>
  </ProductTree>
  <vuln:Vulnerability xmlns="http://docs.oasis-open.org/csaf/ns/csaf-cvrf/v1.2/vuln" Ordinal="1">
    <Notes>
      <Note Title="Vulnerability Description" Type="General" Ordinal="1" xml:lang="en">Bundler prior to 2.1.0 uses a predictable path in /tmp/, created with insecure permissions as a storage location for gems, if locations under the user's home directory are not available. If Bundler is used in a scenario where the user does not have a writable home directory, an attacker could place malicious code in this directory that would be later loaded and executed.</Note>
    </Notes>
    <CVE>CVE-2019-3881</CVE>
    <ProductStatuses>
      <Status Type="Fixed">
        <ProductID>Container bci/ruby:latest:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Container suse/rmt-server:latest:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SAP-Azure-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SAP-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SAP-EC2-HVM-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SAP-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SAP-GCE-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SAP-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SAP-OCI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-CAP-Deployment-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-SAP-Azure-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-SAP-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-SAP-EC2-HVM-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-SAP-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-SAP-GCE-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-SAP-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP1-SAP-OCI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP2-CAP-Deployment-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP2-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP2-SAP-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP2-SAP-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP2-SAP-BYOS-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP2-SAP-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP2-SAP-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP2-SAP-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP3-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP3-SAP-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP3-SAP-BYOS-EC2-HVM:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP3-SAP-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Azure-LI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Azure-VLI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-BYOS-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Hardened-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Hardened-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Hardened-BYOS-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Hardened-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Hardened-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Hardened-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Hardened-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP4-SAP-Hardened:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Azure-LI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Azure-LI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Azure-VLI-BYOS:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-BYOS-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Hardened-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Hardened-BYOS-Azure:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Hardened-BYOS-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Hardened-BYOS-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Hardened-EC2:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>Image SLES15-SP5-SAP-Hardened-GCE:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
        <ProductID>SUSE Linux Enterprise Module for Basesystem 15 SP2:ruby2.5-rubygem-bundler-1.16.1-3.3.1</ProductID>
      </Status>
    </ProductStatuses>
    <Threats>
      <Threat Type="Impact">
        <Description>moderate</Description>
      </Threat>
    </Threats>
    <CVSSScoreSets>
      <ScoreSetV2>
        <BaseScoreV2>4.4</BaseScoreV2>
        <VectorV2>AV:L/AC:M/Au:N/C:P/I:P/A:P</VectorV2>
      </ScoreSetV2>
      <ScoreSetV3>
        <BaseScoreV3>6.7</BaseScoreV3>
        <VectorV3>CVSS:3.0/AV:L/AC:H/PR:L/UI:R/S:U/C:H/I:H/A:H</VectorV3>
      </ScoreSetV3>
    </CVSSScoreSets>
    <Remediations>
      <Remediation Type="Vendor Fix">
        <Description xml:lang="en">To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
</Description>
        <URL>https://www.suse.com/support/update/announcement/2020/suse-su-20201582-2/</URL>
      </Remediation>
    </Remediations>
    <References>
      <Reference>
        <URL>https://www.suse.com/security/cve/CVE-2019-3881.html</URL>
        <Description>CVE-2019-3881</Description>
      </Reference>
      <Reference>
        <URL>https://bugzilla.suse.com/1143436</URL>
        <Description>SUSE Bug 1143436</Description>
      </Reference>
    </References>
  </vuln:Vulnerability>
</cvrfdoc>
